Summary:	Scheme interpreter from U of Massachusetts at Boston
Summary(de.UTF-8):	Scheme-Interpretierer von der Massachusetts-Uni in Boston
Summary(es.UTF-8):	Interpretador de esquema de la Universidad de Massachusetts en Boston
Summary(fr.UTF-8):	Interpréteur Scheme de l'université du Massachusetts de Boston
Summary(ja.UTF-8):	Scheme プログラミング言語の実装
Summary(pl.UTF-8):	Interprter Scheme z uniwersytetu Massachusetts w Bostonie
Summary(pt_BR.UTF-8):	Interpretador de esquema da Universidade de Massachusetts em Boston
Summary(tr.UTF-8):	UMB Scheme yorumlayıcısı
Name:		umb-scheme
Version:	3.2
Release:	27
License:	GPL v1+
Group:		Development/Languages
# now https://github.com/ieee8023/UMB-Scheme ?
Source0:	http://www.cs.umb.edu/~wrc/scheme/%{name}-%{version}.tar.Z
# Source0-md5:	dca1a603c32fab21aed6b769b02a3f82
Patch0:		%{name}-misc.patch
Patch1:		%{name}-texinfo.patch
Patch2:		%{name}-config.patch
Patch3:		%{name}-man.patch
Patch4:		%{name}-info.patch
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UMB Scheme is an implementation of the language described in the IEEE
Standard for the Scheme Programming Language (December, 1990).

%description -l de.UTF-8
UMB-Scheme ist eine Implementierung der im IEEE-Standard für die
Scheme-Programmiersprache (Dez. 1990) festgelegte Sprache.

%description -l es.UTF-8
UMB Scheme es una implementación al lenguaje descrito en el padrón
IEEE para el lenguaje de programación Scheme (Diciembre de 1990).

%description -l fr.UTF-8
UMB Scheme est une implémentation du langage dans le standard IEEE
pour la programation en langage Scheme (Décembre 1990).

%description -l pl.UTF-8
UMB Scheme jest implementacją języka opisanego w dokumencie: "IEEE
Standard for the Scheme Programming Language (December, 1990)".

%description -l pt_BR.UTF-8
UMB Scheme é uma implementação da linguagem descrita no padrão IEEE
para a linguagem de programação Scheme (Dezembro de 1990).

%description -l tr.UTF-8
UMB Scheme, IEEE Scheme Programlama Dili Standardı'nda (Aralık, 1990)
tanımlanan dilin bir gerçeklemesidir.

%prep
%setup -q -n scheme-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__make} RPM_OPT_FLAGS="%{rpmcflags}"
makeinfo scheme.texinfo

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_infodir},%{_libdir}/umb-scheme/slib,%{_mandir}/man1}

install scheme $RPM_BUILD_ROOT%{_bindir}/umb-scheme
install scheme.1 $RPM_BUILD_ROOT%{_mandir}/man1/umb-scheme.1

install slib/*.{scm,init} $RPM_BUILD_ROOT%{_libdir}/umb-scheme/slib
install prelude.scheme $RPM_BUILD_ROOT%{_libdir}/umb-scheme
install SLIB-for-umb-scheme.init $RPM_BUILD_ROOT%{_libdir}/umb-scheme

install scheme.info $RPM_BUILD_ROOT%{_infodir}/umb-scheme.info

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc slib/ANNOUNCE slib/FAQ slib/README
%attr(755,root,root) %{_bindir}/umb-scheme
%{_libdir}/umb-scheme
%{_mandir}/man1/umb-scheme.1*
%{_infodir}/umb-scheme.info*
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/umb-scheme.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 129f0a6
- x32 rebuild
- release 27 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 08e6ff5
- fix building with texinfo 5.x

* Sun Apr 21 2013 Jakub Bogusz <qboosh@pld-linux.org> d5cc1e1
- updated Source0 URL, GPL version

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 3712118
- dropped pre-cvs changelog

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 94d668a
- release 26

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 7096a45
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 28ccc02
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7d019cb
- converted to UTF-8

* Mon May 15 2006 ankry <ankry@pld-linux.org> 17f7744
- convert broken SJIS to EUC-JP

* Sun May 14 2006 Paweł Sikora <pluto@pld-linux.org> eb46238
- release 25 for rebuild amd64 -> x86_64.

* Mon Dec 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 609cd00
- BR: texinfo

* Mon Nov 24 2003 averne <averne@pld-linux.org> c07313b
- updated release

* Tue May 27 2003 trojan <trojan@pld-linux.org> 8a0d1a9
- added Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 510694f
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Nov 30 2002 juandon <witekfl@pld-linux.org> 839afe2
- new %%doc

* Sun Mar 03 2002 marcus <marcus@pld-linux.org> 83840de
- fixed

* Sun Mar 03 2002 marcus <marcus@pld-linux.org> f0713c4
- fix

* Sun Mar 03 2002 marcus <marcus@pld-linux.org> d577d87
- rel.23.

* Sun Mar 03 2002 marcus <marcus@pld-linux.org> 82e89e7
- fixed

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> 99d9395
- adapterized.

